type Query {
 weatherByCity(city: String!, unique: [String!]): MyForecast
}

type MyForecast {
  uuid: String!
  timestamp: Int!
  Forecast: Forecast
}

type Forecast {
 City: String
 Weather: [Weather]
}

type Weather {
 dt: Timestamp
 condition: Int
 main: String
 day: String
 time_of_day: String
 time_friendly: String
 icon: String
 description: String
 temperature: Float
 pressure: Float
 humidity: Float
 wind_speed: Float
 wind_direction: Int
 cloud_cover: Float
 rain_volume: Float
 snow_volume: Float
}


schema {
 query: Query
}

scalar Timestamp
